commit aeee9251c64fe59c3e548e843f08bbda302cb08b
Author: Jonathan Wakely <jwakely@redhat.com>
Date:   Tue Aug 31 17:50:17 2021

    libstdc++: Add missing return for atomic timed wait [PR102074]
    
    This adds a missing return statement to the non-futex wait-until
    operation.
    
    Signed-off-by: Jonathan Wakely <jwakely@redhat.com>
    
    libstdc++-v3/ChangeLog:
    
            PR libstdc++/102074
            * include/bits/atomic_timed_wait.h (__timed_waiter_pool)
            [!_GLIBCXX_HAVE_PLATFORM_TIMED_WAIT]: Add missing return.
    
    (cherry picked from commit 763eb1f19239ebb19c0f87590a4f02300c02c52b)

diff --git a/libstdc++-v3/include/bits/atomic_timed_wait.h b/libstdc++-v3/include/bits/atomic_timed_wait.h
index ec7ff51cdbc..3db08f82707 100644
--- a/libstdc++-v3/include/bits/atomic_timed_wait.h
+++ b/libstdc++-v3/include/bits/atomic_timed_wait.h
@@ -213,6 +213,8 @@ _GLIBCXX_BEGIN_NAMESPACE_VERSION
 	      lock_guard<mutex> __l(_M_mtx);
 	      return __cond_wait_until(_M_cv, _M_mtx, __atime);
 	    }
+	  else
+	    return true;
 #endif // _GLIBCXX_HAVE_PLATFORM_TIMED_WAIT
 	}
     };

